apeman
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-labo/apeman
[bd_travis_url]: http://travis-ci.org/apeman-labo/apeman
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apeman.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-labo/apeman
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-labo/apeman.svg?token=
[bd_license_url]: https://github.com/apeman-labo/apeman/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apeman
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apeman.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apeman.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apeman
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apeman.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Meta application framework.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>

Apeman is a web framework to create rich UX applications   


<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/00.About.md.hbs" Start -->

<a name="section-doc-guides-00-about-md"></a>

About Apeman
------------

## Philosophies

### UI First

When starting developing a new application, what you know is how it looks to user, not the structure to database.
With apeman, you can develop user interface first. Then, implement server-side to make it work.

Apeman heavily depends on [React.js][react_url] and [Redux][redux_url], and you can use third party libraries for them.


### Forget About HTTP

Of course we use HTTP. But don't want to care about "Should I use POST or PATCH?" or "Where to put my parameter, query or body?" when developing client.
Thunks [rfunc][rfunc_url], you can call functions implemented on server from client as if they are runs on the same environment.
No need to implement Restful API anymore.


[react_url]: https://facebook.github.io/react/
[redux_url]: http://redux.js.org/
[rfunc_url]: https://github.com/rfunc-labo/rfunc#readme

<!-- Section from "doc/guides/00.About.md.hbs" End -->

<!-- Section from "doc/guides/10.Installation.md.hbs" Start -->

<a name="section-doc-guides-10-installation-md"></a>

Installation
------------

apeman is available as an [npm][npm_url] package.

```bash
$ npm install apeman -g
```

[nodejs_url]: https://nodejs.org/
[npm_url]: https://www.npmjs.com

<!-- Section from "doc/guides/10.Installation.md.hbs" End -->

<!-- Section from "doc/guides/11.Quick Start.md.hbs" Start -->

<a name="section-doc-guides-11-quick-start-md"></a>

Quick Start
------------

Run `apeman init` command in your project root.

```bash
# Initialize a current directory as an apemanfile.
$ apeman init
```

This generates a file named **Apemanfile.js** , which contains configurations for an apeman project.

Then you can use various apeman commands at the directory.



<!-- Section from "doc/guides/11.Quick Start.md.hbs" End -->

<!-- Section from "doc/guides/12.Command.md.hbs" Start -->

<a name="section-doc-guides-12-command-md"></a>

Available Commands
-----

* [apeman-api](https://github.com/apeman-cmd-labo/apeman-api) - 
* [apeman-doc](https://github.com/apeman-cmd-labo/apeman-doc) - Generate project documentation.
* [apeman-init](https://github.com/apeman-cmd-labo/apeman-init) - Initialize a directory as an apeman project.
* [apeman-need](https://github.com/apeman-cmd-labo/apeman-need) - Check project needs.
* [apeman-scff](https://github.com/apeman-cmd-labo/apeman-scff) - Generate project scaffold.
* [apeman-show](https://github.com/apeman-cmd-labo/apeman-show) - Show apemanfile configuration.
* [apeman-srch](https://github.com/apeman-cmd-labo/apeman-srch) - Search apeman modules.
* [apeman-tree](https://github.com/apeman-cmd-labo/apeman-tree) - Show project inheritance in the tree.
* [apeman-ui](https://github.com/apeman-cmd-labo/apeman-ui) - 
* [apeman-upg](https://github.com/apeman-cmd-labo/apeman-upg) - Update apeman global module.


<!-- Section from "doc/guides/12.Command.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apeman/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman-init][apeman_init_url]
+ [apeman-app][apeman_app_url]
+ [apeman-bud][apeman_bud_url]
+ [apeman-scff][apeman_scff_url]
+ [apeman-show][apeman_show_url]
+ [apeman-tmpl][apeman_tmpl_url]
+ [apeman-wtch][apeman_wtch_url]
+ [apeman-asset-guides][apeman_asset_guides_url]

[apeman_init_url]: https://www.npmjs.com/package/apeman-init
[apeman_app_url]: https://www.npmjs.com/package/apeman-app
[apeman_bud_url]: https://www.npmjs.com/package/apeman-bud
[apeman_scff_url]: https://www.npmjs.com/package/apeman-scff
[apeman_show_url]: https://www.npmjs.com/package/apeman-show
[apeman_tmpl_url]: https://www.npmjs.com/package/apeman-tmpl
[apeman_wtch_url]: https://www.npmjs.com/package/apeman-wtch
[apeman_asset_guides_url]: https://github.com/apeman-asset-labo/apeman-asset-guides

<!-- Links End -->
