/**
 * Test case for bin.
 * Runs with mocha.
 */
'use strict'

const bin = require.resolve('../bin/apeman')
const assert = require('assert')
const execcli = require('execcli')

describe('bin', () => {
  it('Initialize a project.', (done) => {
    execcli(
      bin,
      [
        'init',
        {
          dirname: `${__dirname}/../tmp/testing-init`,
          force: true
        }
      ],
      (err) => {
        assert.ifError(err)
        done()
      })
  })

  it('Show project config.', (done) => {
    execcli(
      bin,
      [
        'show',
        'pkg',
        {
          configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
        } ],
      (err) => {
        assert.ifError(err)
        done()
      })
  })
})

/* global describe, it */
