/**
 * Test case for sure.
 * Runs with mocha.
 */
'use strict'

const sure = require('../lib/sure.js')
const readline = require('readline')
const injectmock = require('injectmock')
const co = require('co')
const assert = require('assert')

describe('sure', () => {
  before((done) => {
    injectmock(readline, 'createInterface', function () {
      return {
        question (q, callback) {
          callback()
        },
        close () {
        }
      }
    })
    done()
  })

  after((done) => {
    injectmock.restoreAll()
    done()
  })

  it('Sure', () => co(function * () {
    yield sure('hoge?', {})
  }))
})

/* global describe, before, after, it */
